/* 
ZLib license:
Copyright (c) 2011 Dirk de la Hunt

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "monkeybot.h"
#include "monkeyoptions.h"

int main(int argc, char *argv[])
{
	MonkeyOptions *options = new MonkeyOptions;
	if (!options || !options->Get(argc, argv))
	{
		printf("Could not get options, aborting...\n");
		delete options;
		return -1;
	}

	MonkeyBot *monkey = new MonkeyBot();
	if (!monkey || !monkey->Create(options))
	{
		printf("Could not create a new MonkeyBot, quitting...\n");
		delete options;
		return -1;
	}
	monkey->Run();
	delete monkey;

	return 0;
}

